import { AiAgentReference } from './aiAgentReference';
import { AiAgentExtract } from './aiAgentExtract';
import { SerializedData } from '../serialization/json';
export type AiExtractAgent = AiAgentReference | AiAgentExtract;
export declare function serializeAiExtractAgent(val: any): SerializedData;
export declare function deserializeAiExtractAgent(val: SerializedData): AiExtractAgent;
